#include "stringArrayMap.h"

stringArrayMap::stringArrayMap()
{
}

void stringArrayMap::add(string key, stringArray array)
{	this->_map[key].add(array);
}

void stringArrayMap::addToArray(string key, string item)
{ this->_map[key].add(item);
}

void stringArrayMap::readArray(string key, stringArray &toArray)
{	toArray	= this->_map[key];
}

stringArray &stringArrayMap::operator[] (const string &name)
{ return this->_map[name];
}

const string &stringArrayMap::key(unsigned int pos)
{ map<string, stringArray, less<string> >::iterator here = this->_map.begin();
	while (pos > 0)
  { here ++;
  	pos --;
  }
  return (*here).first;
}

stringArray &stringArrayMap::array(unsigned int pos)
{	map<string, stringArray, less<string> >::iterator here = this->_map.begin();
	while (pos > 0)
  {	here ++;
  	pos --;
  }
  return (*here).second;
}

void stringArrayMap::clear()
{	this->_map.empty();
}

unsigned int stringArrayMap::size()
{	return this->_map.size();
}
